//
//  LKEntity.m
//  LicenseKit
//
//  Created by Tanaka Katsuma on 2013/11/11.
//  Copyright (c) 2013年 Tanaka Katsuma. All rights reserved.
//

#import "LKEntity.h"

@interface LKEntity ()

@property (nonatomic, assign, readwrite) NSRange entityRange;

@end

@implementation LKEntity

+ (instancetype)entityWithRange:(NSRange)range
{
    return [[self alloc] initWithRange:range];
}

- (instancetype)initWithRange:(NSRange)range
{
    self = [super init];
    
    if (self) {
        self.entityRange = range;
    }
    
    return self;
}

- (NSString *)description
{
    return [NSString stringWithFormat:
            @"<%@: %p; entityRange = %@>",
            NSStringFromClass([self class]),
            self,
            NSStringFromRange(self.entityRange)
            ];
}

@end
