//
//  LKEntityList.m
//  LicenseKit
//
//  Created by Tanaka Katsuma on 2013/09/28.
//  Copyright (c) 2013年 Tanaka Katsuma. All rights reserved.
//

#import "LKEntityList.h"

@interface LKEntityList ()

@property (nonatomic, assign, readwrite) BOOL ordered;
@property (nonatomic, assign, readwrite) NSRange stringRange;

@end

@implementation LKEntityList

+ (instancetype)entityWithRange:(NSRange)range stringRange:(NSRange)stringRange ordered:(BOOL)ordered
{
    return [[self alloc] initWithRange:range stringRange:stringRange ordered:ordered];
}

- (instancetype)initWithRange:(NSRange)range stringRange:(NSRange)stringRange ordered:(BOOL)ordered
{
    self = [super initWithRange:range];
    
    if (self) {
        self.ordered = ordered;
        self.stringRange = stringRange;
    }
    
    return self;
}

- (NSString *)description
{
    return [NSString stringWithFormat:
            @"<%@: %p; entityRange = %@; stringRange = %@; ordered = %@>",
            NSStringFromClass([self class]),
            self,
            NSStringFromRange(self.entityRange),
            NSStringFromRange(self.stringRange),
            self.ordered ? @"YES" : @"NO"
            ];
}

@end
